### Method

# Gtk TextBufferinsert_markup

#### Declaration [src]

    void
    gtk_text_buffer_insert_markup (
      GtkTextBuffer* buffer,
      GtkTextIter* iter,
      const char* markup,
      int len
    )

#### Description [src]

Inserts the text in `markup` at position `iter`.

`markup` will be inserted in its entirety and must be nul-terminated and valid UTF-8. Emits the `GtkTextBuffer::insert-text` signal, possibly multiple times; insertion actually occurs in the default handler for the signal. `iter` will point to the end of the inserted text on return.

#### Parameters

`iter`

  Type: `GtkTextIter`

  Location to insert the markup.

  The data is owned by the caller of the method.

`markup`

  Type: `const char*`

  A nul-terminated UTF-8 string containing Pango markup.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`len`

  Type: `int`

  Length of `markup` in bytes, or -1